=== debian/changelog ===
kpublictransport (22.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix the Maintainer to be the canonical address.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.91.0
  * Update symbols file.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Jun 2022 05:02:52 +0200

kpublictransport (21.12.3-2) unstable; urgency=medium

  * Team upload.

  [ Matthias Geiger ]
  * Bump versions to 21.12.3 in symbols file.
  * Update qml-module-org-kde-kpublictransport.install.
  * Update signing-key.asc.
  * Add libprotobuf-dev build dependency.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: use a more standard pipeline configuration.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Small no-op whitespace changes.
  * Slightly tighten the regexp for the library files.
  * Tighten kpublictransport-data dependency in libkpublictransport1.
  * Switch kpublictransport-data to Architecture: all & Multi-Arch: foreign,
    as it is a data-only package.
  * Update symbols file.
  * Remove the unused ${shlibs:Depends} substvar from libkpublictransport-dev,
    and kpublictransport-data.
  * Properly use the pkgkde_symbolshelper dh addon, so "subst" symbols properly
    work
    - add the pkg-kde-tools build dependency for it

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jun 2022 10:50:28 +0200

kpublictransport (21.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Matthias Geiger ]
  * Initial release (Closes: #1008242)

 -- Sandro Knauß <hefee@debian.org>  Fri, 22 Apr 2022 10:40:19 +0200
