=== debian/control ===
Source: kpublictransport
Priority: optional
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15),
               qtdeclarative5-dev (>= 5.15),
               zlib1g-dev,
               libprotobuf-dev
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/libraries/kpublictransport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
Rules-Requires-Root: no

Package: libkpublictransport1
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Library to assist with accessing public transport (binary)
 A library providing a public transport API.
 .
 This package contains the main data.

Package: libkpublictransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkpublictransport1 (= ${binary:Version}),
         ${misc:Depends},
Description: Library to assist with accessing public transport (development files)
 A library providing a public transport API.
 .
 This package contains the development files and headers.

Package: qml-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library to assist with accessing public transport (qml plugin)
 A QtQuick plugin providing a public transport API
 .
 This package contains the runtime qml module.

Package: kpublictransport-data
Architecture: all
Multi-Arch: foreign
Section: kde
Depends: ${misc:Depends},
Description: Library to assist with accessing public transport (data files)
 The data files for a public transport API
 .
 This package contains the data files.
