=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: kpublictransport
 Priority: optional
 Section: libs
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
 Build-Depends: cmake (>= 3.16),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.91.0~),
+               libprotobuf-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15),
                qtdeclarative5-dev (>= 5.15),
                zlib1g-dev,
-               libprotobuf-dev
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/libraries/kpublictransport
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
 Rules-Requires-Root: no
 
 Package: libkpublictransport1
