## kpublictransport 22.12.1

=== debian/changelog ===
kpublictransport (22.12.1-1) unstable; urgency=medium

  [ Matthias Geiger ]
  * New upstream release
  * Removed obsolete entries from libkpublictransport.install

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Added myself to the uploaders.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:45 +0100
