=== debian/changelog ===
kpublictransport (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:58 +0100

kpublictransport (22.12.2-1) unstable; urgency=medium

  * Added tzdata dependency to pass tests (Closes: #1029425)
  * New upstream release

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 05 Feb 2023 14:19:47 +0100
