=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                pkg-kde-tools,
                qtbase5-dev (>= 5.15),
                qtdeclarative5-dev (>= 5.15),
+               tzdata <!nocheck>,
                zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/libraries/kpublictransport
@@ -35,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libkpublictransport1 (= ${binary:Version}), ${misc:Depends}
+Depends: libkpublictransport1 (= ${binary:Version}), ${misc:Depends},
 Description: Library to assist with accessing public transport (development files)
  A library providing a public transport API.
  .
@@ -45,7 +46,7 @@
 Architecture: any
 Multi-Arch: same
 Section: kde
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Library to assist with accessing public transport (qml plugin)
  A QtQuick plugin providing a public transport API
  .
@@ -55,7 +56,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: kde
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Library to assist with accessing public transport (data files)
  The data files for a public transport API
  .
