## kpublictransport 23.04.2

=== debian/changelog ===
kpublictransport (23.04.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (23.04.2).
  * Update build-deps and deps with the info from cmake.
  * Update copyright.
  * Update symbols from build for 23.04.2.
  * Add new build-dep for Onboard service.
  * Add new library libkpublictransportonboard1.

 -- Sandro Knauß <hefee@debian.org>  Thu, 15 Jun 2023 23:06:55 +0200
