## kpublictransport 23.04.3

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 ecm_add_test(polylinetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(ifopttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(jsonptest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(uicstationcodetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(uicrailwaycoachtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(mergeutiltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
@@ -45,3 +46,5 @@
 ecm_add_test(cachetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(gbfstest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(accessibilitycloudtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+
+ecm_add_test(onboardstatustest.cpp LINK_LIBRARIES Qt::Test KPublicTransportOnboard Qt::Network)
