=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -99,6 +99,8 @@
 
     ifopt/ifoptutil.cpp
 
+    json/jsonp.cpp
+
     knowledgedb/asset-attributions.qrc
     knowledgedb/linemetadata.cpp
 
@@ -149,8 +151,6 @@
 
 ecm_generate_headers(KPublicTransport_FORWARDING_HEADERS
     HEADER_NAMES
-        DepartureReply
-        DepartureRequest
         JourneyReply
         JourneyRequest
         LocationReply
@@ -180,7 +180,6 @@
         Backend
         CoverageArea
         Datatypes
-        Departure
         Disruption
         Equipment
         IndividualTransport
@@ -201,7 +200,6 @@
     HEADER_NAMES
         AbstractQueryModel
         BackendModel
-        DepartureQueryModel
         JourneyQueryModel
         LocationHistoryModel
         LocationQueryModel
