=== debian/changelog ===
kpublictransport (23.04.3-1) unstable; urgency=medium

  * Team upload.
  * Add Build-Depends-Package to symbols file.
  * Re-export upstream signing key without extra signatures.
  * Update symbols from buildds for 23.04.2.
  * Release to unstable with new lib libkpublictransportonboard1.
  * Update symbols from build for 23.04.3.
  * Replace build-deps: pkg-config -> pkgconf.

 -- Sandro Knauß <hefee@debian.org>  Sun, 18 Feb 2024 21:02:49 +0100
