=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5i18n-dev,
                libkf5networkmanagerqt-dev,
                libprotobuf-dev,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15),
                qtdeclarative5-dev (>= 5.15),
